%define section free

Name:           catchxsl
Version:        1.2.1
Release:        2jpp
Epoch:          0
Summary:        XSL profiling tool
License:        catchXSL! Software License
URL:            http://www.xslprofiler.org/
Group:          Development/Tools
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://www.xslprofiler.org/download/catchXSL1.2.1.zip
Source1:        %{name}.catchxsl.script
Source2:        %{name}.catchxsl-cmdline.script
Source3:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:       jpackage-utils >= 0:1.5, xalan-j2, saxon, jaxp_parser_impl
BuildArch:      noarch

%description
catchXSL! is a free XSLT profiler based on Java.  It traces your XSLT
transformations and lists each individual style instruction. The XSLT
developer now gets useful hints on how to improve performance of a
transformation.

%package        themes
Summary:        UI themes for %{name}
Group:          Development/Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    themes
UI themes for %{name}.

%package        demo
Summary:        Demonstrations and samples for %{name}
Group:          Development/Tools
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    demo
Demonstrations and samples for %{name}.

%package        mdkmenu
Summary:	Mandrake menu entry for %{name}
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description mdkmenu
This is a Mandrake menu system entry for %{name}.

%package        legacymenu
Summary:	Legacy menu entry for %{name}
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description    legacymenu
This is a legacy menu entry for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n catchXSL

# -----------------------------------------------------------------------------

%build

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -D -m 644 lib/catchXSL.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/catchXSL-%{version}.jar
install -D -m 644 lib/AbsoluteLayout.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/AbsoluteLayout-%{version}.jar
install -D -m 644 lib/skinlf.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/skinlf-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# the timeofday lib is skipped for now
#install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
#install -m 755 lib/linux_x86/* $RPM_BUILD_ROOT%{_libdir}/
# themes
cp -pr lib/themes $RPM_BUILD_ROOT%{_javadir}/%{name}/
# scripts
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -D -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/%{name}-cmdline
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr samples $RPM_BUILD_ROOT%{_datadir}/%{name}/
# result css
install -m 644 result.css $RPM_BUILD_ROOT%{_datadir}/%{name}/

# mdk menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
command="%{_bindir}/%{name}"\\
needs="X11"\\
section="Applications/Development/Development environments"\\
title="catchXSL!" \
longtitle="XSL profiling tool"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cp -p %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development
cp -p %{SOURCE3} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Development/%{name}.desktop

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post mdkmenu
%update_menus
 
%postun mdkmenu
%clean_menus

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc docs/*
%attr(0755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/result.css
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/[Ac]*.jar
%{_datadir}/applications/*

%files themes
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/skinlf*.jar
%{_javadir}/%{name}/themes

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/samples

%files mdkmenu
%defattr(0644,root,root,0755)
%{_menudir}/*

%files legacymenu
%defattr(0644,root,root,0755)
%{_sysconfdir}/X11/applnk/Development/*

# -----------------------------------------------------------------------------

%changelog
* Tue May 13 2003 Ville Skytt <ville.skytta at iki.fi> - 0:1.2.1-2jpp
- Rebuild for JPackage 1.5.

* Thu Aug  1 2002 Ville Skytt <ville.skytta at iki.fi> 1.2.1-1jpp
- Update to 1.2.1.

* Fri Jul 19 2002 Ville Skytt <ville.skytta at iki.fi> 1.2-1jpp
- First JPackage release.
